%define upstream_name    Exporter-Declare
%define upstream_version 0.113

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Export class for exports that should be
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Exporter/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Fennec::Lite) >= 0.4.0
BuildRequires: perl(Meta::Builder) >= 0.3.0
BuildRequires: perl(Module::Build) >= 0.400.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Exception) >= 0.290.0
BuildRequires: perl(Test::Simple) >= 0.880.0
BuildRequires: perl(aliased)
BuildArch:  noarch

%description
Exporter::Declare is a meta-driven exporting tool. Exporter::Declare tries
to adopt all the good features of other exporting tools, while throwing
away horrible interfaces. Exporter::Declare also provides hooks that allow
you to add options and arguments for import. Finally, Exporter::Declare's
meta-driven system allows for top-notch introspection.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.113.0-2.mga4
+ Revision: 526981
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.113.0-1.mga4
+ Revision: 439238
- update to 0.113

* Sun Jan 13 2013 umeabot <umeabot> 0.105.0-2.mga3
+ Revision: 367002
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + jquelin <jquelin>
    - adding missing buildrequires:
    - imported package perl-Exporter-Declare


* Sat Aug 20 2011 cpan2dist 0.105-1mga
- initial mageia release, generated with cpan2dist
